Did I find the right examples for you? yes no

All Samples(19)  |  Call(12)  |  Derive(7)  |  Import(0)
Base class for warnings about probable mistakes in module imports

src/o/p/openerp-core-7.0.406/openerp/addons/base/ir/ir_fields.py   openerp-core(Download)
                            # wrap warning string in an ImportWarning for
                            # uniform handling
                            w = ImportWarning(w)
                        log(field, w)
                except ValueError, e:

src/t/m/tmxlib-0.2.0/tmxlib/fileio.py   tmxlib(Download)
    from xml.etree import ElementTree as etree
    have_lxml = False
    warnings.warn(ImportWarning('lxml is recommended'))
 
from tmxlib.compatibility import ord_

src/d/e/decanter-0.1.9.1/decanter/decanter.py   decanter(Download)
 
        if not cls:
            raise ImportWarning(name + ' is not found.')
        bottle.install(cls())
 

src/s/h/show-1.0.2/show/core.py   show(Download)
                return
            except ImportError:
                raise ImportWarning('install pygments for ANSI forfmatting; falling back to plain text')
                self.set(fmtfunc=pf)
                return

src/p/s/psifas-0.8/psifas/scapy_wrapper.py   psifas(Download)
    import scapy.all as _scapy
except ImportError:
    raise ImportWarning("psifas will not support scapy wrappers because scapy is not installed")
 
from base import Psifas, Field, Constant, Payload, UniqueField, PayloadlessPlaceHolder

src/p/y/pytmxlib-HEAD/tmxlib/fileio.py   pytmxlib(Download)
    from xml.etree import ElementTree as etree
    have_lxml = False
    warnings.warn(ImportWarning('lxml is recommended'))
 
from tmxlib.compatibility import ord_

src/d/e/decanter-HEAD/decanter/decanter.py   decanter(Download)
 
        if not cls:
            raise ImportWarning(name + ' is not found.')
        bottle.install(cls())
 

src/p/y/pylsyncd-HEAD/pylsyncd.py   pylsyncd(Download)
  if parse_version(current) < parse_version(require):
    raise ImportWarning(
        'pyinotify version %s is not supported, need at least version %s'
        % (current, require))
__check_pyinotify_version()

src/s/u/Sublime-Text-2-Plugins---Settings-HEAD/plugins/SublimeCodeIntel/libs/textinfo.py   Sublime-Text-2-Plugins---Settings(Download)
class ChardetImportWarning(ImportWarning):
    pass
warnings.simplefilter("once", ChardetImportWarning)
 
 

src/s/u/SublimeText2-Config-HEAD/Packages/SublimeCodeIntel/libs/textinfo.py   SublimeText2-Config(Download)
class ChardetImportWarning(ImportWarning):
    pass
warnings.simplefilter("once", ChardetImportWarning)
 
 

  1 | 2  Next